Skip to main content
`Ctrl`+`K`

# PetscWeakFormClear

Clear all functions from the `PetscWeakForm`

## Synopsis

    #include "petscds.h"
    PetscErrorCode PetscWeakFormClear(PetscWeakForm wf)

Not Collective

## Input Parameter

- wf - The original `PetscWeakForm`

## See Also

`PetscWeakForm`, `PetscWeakFormCopy()`, `PetscWeakFormCreate()`, `PetscWeakFormDestroy()`

## Level

intermediate

## Location

src/dm/dt/interface/dtweakform.c

Index of all DT routines
Table of Contents for all manual pages
Index of all manual pages